#!/usr/bin/env cached-nix-shell
#!nix-shell -i bash -p sidplayfp ffmpeg-full
# Creates 4-channel flac file to be played with mpv profile “musicvideo-c64”
# Set HVSC_BASE to point to your HVSC directory, otherwise the output
# will be 2 seconds long
if [ "$#" != "2" ]; then
    exit 1
fi

sidplayfp -w"${2}" "$1"
sidplayfp -u2 -u3 -w"${2}1" "$1"
sidplayfp -u1 -u3 -w"${2}2" "$1"
sidplayfp -u1 -u2 -w"${2}3" "$1"

# order is pretty much fucked up, thank you whatever is causing this
ffmpeg -i "${2}2.wav" -i "${2}.wav" -i "${2}1.wav" -i "${2}3.wav" -filter_complex 'join=inputs=4:channel_layout=4.0,volume=2' "${2}.flac"
